createTableRows
Inserts one or multiple new rows into the specified table.
POST
/v1/tables/{table}/rowsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
x-integration-name?stringIntegration name
x-user-id?stringUser Id
x-user-role?stringUser Role
Path parameters
tablestringThe table's name or unique identifier for targeting specific table operations.
Request body
A batch of new rows to insert into the table. Each row must adhere to the table’s schema. A maximum of 1000 rows can be inserted in a single request.
rowsobject[]waitComputed?booleanEnsure computed columns are fully processed before returning the result. This is applicable only when the number of rows involved is fewer than 1.
Response
A summary of the insertion operation, including any warnings or errors encountered, and the inserted row data.
rowsobject[]warnings?string[]Alerts for minor issues that don't block the operation but suggest possible improvements.
errors?string[]Critical issues in specific elements that prevent their successful processing, allowing partial operation success.